# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'time_sensitive_hmac/version'

Gem::Specification.new do |spec|
  spec.name          = "time_sensitive_hmac"
  spec.version       = TimeSensitiveHmac::VERSION
  spec.authors       = ["Rob Howard"]
  spec.email         = ["rob@robhoward.id.au"]
  spec.description   = %q{A tiny library for calculation and verification of HMAC signatures bound to a particular time.}
  spec.summary       = spec.description
  spec.homepage      = ""
  spec.license       = "Apache 2.0"

  spec.required_ruby_version = '>= 1.9.2'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
